Voor toegang tot deze pagina is autorisatie vereist. U kunt proberen de mappen te wijzigen.
Sync Groups - Refresh Hub Schema
Service:
SQL Database
API-versie:
2025-01-01
Hiermee vernieuwt u een hubdatabaseschema.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/refreshHubSchema?api-version=2025-01-01
URI-parameters
Name
In
Vereist
Type
Description
databaseName
path
True
string
De naam van de database.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
De naam van de resourcegroep. De naam is hoofdletterongevoelig.
serverName
path
True
string
De naam van de server.
subscriptionId
path
True
string
(uuid)
De id van het doelabonnement. De waarde moet een UUID zijn.
syncGroupName
path
True
string
De naam van de synchronisatiegroep.
api-version
query
True
string
minLength: 1
De API-versie die voor deze bewerking moet worden gebruikt.
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/refreshHubSchema?api-version=2025-01-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python sync_group_refresh_hub_schema.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.sync_groups.begin_refresh_hub_schema(
resource_group_name="syncgroupcrud-65440",
server_name="syncgroupcrud-8475",
database_name="syncgroupcrud-4328",
sync_group_name="syncgroupcrud-3187",
).result()
# x-ms-original-file: 2025-01-01/SyncGroupRefreshHubSchema.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/SyncGroupRefreshHubSchema.json
// this example is just showing the usage of "SyncGroups_RefreshHubSchema" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SyncGroupResource created on azure
// for more information of creating SyncGroupResource, please refer to the document of SyncGroupResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "syncgroupcrud-65440";
string serverName = "syncgroupcrud-8475";
string databaseName = "syncgroupcrud-4328";
string syncGroupName = "syncgroupcrud-3187";
ResourceIdentifier syncGroupResourceId = SyncGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, syncGroupName);
SyncGroupResource syncGroup = client.GetSyncGroupResource(syncGroupResourceId);
// invoke the operation
await syncGroup.RefreshHubSchemaAsync(WaitUntil.Completed);
Console.WriteLine("Succeeded");